Lattic.es Photo Gallery REST Service
====================================

A REST-based application which provides the backend for a photo gallery web application (in the vain of Flickr). It is built in [nodejs][1] and runs on [Mongo DB][2].  

Testing
-------

Start Mongo DB instance:


    > mkdir ./data
    > mongod -f mongodb.conf
    > npm test


Required External Stack:
-----------------------

- [nodejs][1]
- [mongodb][2]
- [ImageMagick][3]

Credits
-------

Test image source: http://en.wikipedia.org/wiki/File:SMPTE_Color_Bars.svg

[1]:http://nodejs.org
[2]:http://www.mongodb.org/
[3]:http://www.imagemagick.org/
