var application_root = __dirname,
    express = require("express"),
    path = require("path"),
    mongoose = require('mongoose');

var app = express();


// Config

app.configure(function () {
  app.use(express.bodyParser());
  app.use(express.methodOverride());
  app.use(app.router);
  app.use(express.static(path.join(application_root, "public")));
  app.use(express.errorHandler({ dumpExceptions: true, showStack: true }));
});


app.get('/api', function (req, res) {
  res.send('PhotoGallery API is running');
});

app.get('/api/photos/:userid', function (req, res){    
	res.send("not yet!");
});

// Launch server

app.listen(4242);